Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,5 +30,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("Algorithm", "A base class for algorithms.")]
-  [StorableClass]
+  [StorableType("7879C550-E8C2-4121-84C3-DADB06BD5C96")]
   public abstract class Algorithm : ParameterizedNamedItem, IAlgorithm {
     public static new Image StaticItemImage {
@@ -171,5 +171,5 @@
     }
     [StorableConstructor]
-    protected Algorithm(bool deserializing) : base(deserializing) { }
+    protected Algorithm(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/BasicAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableType("EFBEE5EB-B15B-4FBB-A210-C4E36898B89D")]
   public abstract class BasicAlgorithm : Algorithm, IStorableContent {
 
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    protected BasicAlgorithm(bool deserializing) : base(deserializing) { }
+    protected BasicAlgorithm(StorableConstructorFlag _) : base(_) { }
     protected BasicAlgorithm(BasicAlgorithm original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/EngineAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("EngineAlgorithm", "A base class for algorithms which use an engine for execution.")]
-  [StorableClass]
+  [StorableType("C3D2307F-9B15-4D3B-900E-616B58268ED6")]
   public abstract class EngineAlgorithm : Algorithm {
     [Storable]
@@ -113,5 +113,5 @@
     }
     [StorableConstructor]
-    protected EngineAlgorithm(bool deserializing) : base(deserializing) { }
+    protected EngineAlgorithm(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Heuristic Optimization Algorithm", "A base class for heuristic optimization algorithms.")]
-  [StorableClass]
+  [StorableType("13388EBE-E463-4A64-BCE4-77A631CB5DA0")]
   public abstract class HeuristicOptimizationAlgorithm : Algorithm {
     public new IHeuristicOptimizationProblem Problem {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected HeuristicOptimizationAlgorithm(bool deserializing) : base(deserializing) { }
+    protected HeuristicOptimizationAlgorithm(StorableConstructorFlag _) : base(_) { }
     protected HeuristicOptimizationAlgorithm(HeuristicOptimizationAlgorithm original, Cloner cloner) : base(original, cloner) { }
 
Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Heuristic Optimization Enigne Algorithm", "A base class for heuristic optimization algorithms using an execution engine.")]
-  [StorableClass]
+  [StorableType("A741CA8C-D4DC-4917-8F71-95EA31C97890")]
   public abstract class HeuristicOptimizationEngineAlgorithm : EngineAlgorithm {
     public new IHeuristicOptimizationProblem Problem {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected HeuristicOptimizationEngineAlgorithm(bool deserializing) : base(deserializing) { }
+    protected HeuristicOptimizationEngineAlgorithm(StorableConstructorFlag _) : base(_) { }
     protected HeuristicOptimizationEngineAlgorithm(HeuristicOptimizationEngineAlgorithm original, Cloner cloner) : base(original, cloner) { }
 
Index: trunk/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -31,5 +31,5 @@
   [Item("User-Defined Algorithm", "An algorithm which can be defined by the user.")]
   [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 100)]
-  [StorableClass]
+  [StorableType("8D1C0ED9-F732-4DE3-8F6C-125DFF9E8D5E")]
   public sealed class UserDefinedAlgorithm : EngineAlgorithm, IParameterizedItem, IStorableContent {
     public string Filename { get; set; }
@@ -71,5 +71,5 @@
     public UserDefinedAlgorithm(string name, string description) : base(name, description) { }
     [StorableConstructor]
-    private UserDefinedAlgorithm(bool deserializing) : base(deserializing) { }
+    private UserDefinedAlgorithm(StorableConstructorFlag _) : base(_) { }
     private UserDefinedAlgorithm(UserDefinedAlgorithm original, Cloner cloner)
       : base(original, cloner) {
